BaseAttributeFilter (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.BaseAttributeFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class BaseAttributeFilter

    java.lang.Object
      org.apache.tomcat.util.modeler.BaseAttributeFilter

All Implemented Interfaces:
  java.io.Serializable, javax.management.NotificationFilter

    public class BaseAttributeFilter

extends java.lang.Object
implements javax.management.NotificationFilter

Implementation of `NotificationFilter` for attribute change notifications. This class is used by `BaseModelMBean` to construct attribute change notification event filters when a filter is not supplied by the application.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Constructor Summary
`BaseAttributeFilter(java.lang.String name)` Construct a new filter that accepts only the specified attribute name.

Method Summary
`void` | `addAttribute(java.lang.String name)` Add a new attribute name to the set of names accepted by this filter.
`void` | `clear()` Clear all accepted names from this filter, so that it will accept all attribute names.
`java.lang.String[]` | `getNames()` Return the set of names that are accepted by this filter.
`boolean` | `isNotificationEnabled(javax.management.Notification notification)` Test whether notification enabled for this event.
`void` | `removeAttribute(java.lang.String name)` Remove an attribute name from the set of names accepted by this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseAttributeFilter

    public BaseAttributeFilter(java.lang.String name)

  Construct a new filter that accepts only the specified attribute name.

  Parameters:
    `name` - Name of the attribute to be accepted by this filter, or `null` to accept all attribute names

Method Detail

### addAttribute

    public void addAttribute(java.lang.String name)

  Add a new attribute name to the set of names accepted by this filter.

  Parameters:
    `name` - Name of the attribute to be accepted

### clear

    public void clear()

  Clear all accepted names from this filter, so that it will accept all attribute names.

### getNames

    public java.lang.String[] getNames()

  Return the set of names that are accepted by this filter. If this filter accepts all attribute names, a zero length array will be returned.

### isNotificationEnabled

    public boolean isNotificationEnabled(javax.management.Notification notification)

  Test whether notification enabled for this event. Return true if:

  - This is an attribute change notification
  - Either the set of accepted names is empty (implying that all attribute names are of interest) or the set of accepted names includes the name of the attribute in this notification

  Specified by:
    `isNotificationEnabled` in interface `javax.management.NotificationFilter`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Remove an attribute name from the set of names accepted by this filter.

  Parameters:
    `name` - Name of the attribute to be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.